package com.zj365.health.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.network.model.HealthBodyPartBean
import com.xty.network.model.RespBody

class HealthBodyPartVm : BaseVm() {

    val refiningNameLiveData by lazy { MutableLiveData<RespBody<MutableList<HealthBodyPartBean>>>() }
    fun getBodyPart(id:Long){
        startHttp {
            val body = apiInterface().getRefiningName(id)
            body.getCodeStatus(refiningNameLiveData, nowData)
        }
    }
}